Subject: Re: bug#71179: [PATCH] In rgrep, check matching files before excluding files

From: Spencer Baugh <[email-masked]>
Date: Sun, 26 May 2024 08:48:15 -0400

Juri Linkov <[email-masked]> writes:
>>> A grep-find-template that doesn't include <X> will indeed start seeing
>>> ignores based on grep-find-ignored-files in rgrep.  But, such a user can
>>> just set grep-find-ignored-files to nil and then they'll stop seeing
>>> ignores again.
>>
>> Yeah, that sounds like a good enough solution for such cases.
>>
>> I recall that Juri experimented with customizing grep-find-template (to use
>> ripgrep? and perhaps other things). I wonder what he thinks about this
>> patch.
>
> I'm using such configuration for ripgrep that hopefully should continue working:
>
>   (setq grep-find-template "find <D> <X> -type f <F> -print0 | sort -z | xargs -0 -e rg <C> -nH --no-heading --null -j8 --sort path -M 200 --max-columns-preview -e <R>")

Yep, that would continue working - it has a totally normal "find"
invocation and that's all this touches.